Subject: Re: FAAC considered nonfree by Debian and Parabola

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 28 Sep 2022 21:22:40 +0200

Am Mittwoch, dem 28.09.2022 um 19:12 +0200 schrieb Denis 'GNUtoo'
Carikli:
> Hi,
> 
> The faac package is considered nonfree in Debian[1] and also in
> Parabola because according to the Parabola blacklist faac "is a
> GPL'ed package, but has non free code that can't be distributed under
> the GPL"[2].
> 
> The path chosen by Parabola (and probably most other FSDG compliant
> or 100% free distributions) was to make the packages not depend on
> faac. 
Assuming one can clearly point out the non-free sources, the Guix way
would be removing those.  If they can't easily be separated, then yeah,
it has to go.

> A quick search in the Parabola packages list[3] can show some of the
> packages having been (re)built without faac support[4].
A list of packages relevant in Guix can be given using `guix refresh -l
faac'.

Cheers